package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.entity.orm.table.core.dataproject.TCoreDataArea;
import com.chenyang.nse.bussiness.entity.orm.table.core.masking.TCoreDesensitizationRule;
import java.util.List;

public interface DesensitizationRuleService {
   String save(TCoreDesensitizationRule rule);

   void delete(String ruleId);

   List<TCoreDataArea> queryRuleList(String dataarea);

   String test(String param, String expression);

   void setdefault(String ruleId);
}
